Subject: bug#18133: Suppressing asynchronous command output

From: Reuben Thomas <[email-masked]>
Date: Wed, 28 Jun 2017 22:53:56 +0100

On 28 June 2017 at 22:45, Reuben Thomas <[email-masked]> wrote:

>
> On 31 December 2016 at 08:41, Eli Zaretskii <[email-masked]> wrote:
>
>> > From: Reuben Thomas <[email-masked]>
>> > Date: Sat, 31 Dec 2016 00:19:21 +0000
>> > Cc: Eli Zaretskii <[email-masked]>, martin rudalics <[email-masked]>,
>> [email-masked]
>> >
>> > Thanks, Juri; can you converge with Eli, and then I'll have a coherent
>> proposal I can program?
>>
>> I'm okay with Juri's approach as well.
>>
>
> ​Here is a patch that attempts to implement Juri's approach.​
>
> ​However, at the moment it doesn't work. I think the problem is to do with
> combining process filters. As suggested in the Emacs manual, I use
> add-function to combine the new process filter with the default
> comint-output-filter. But no matter what I try, the original filter does
> not seem to be run any more, even if I pass a trivial function to
> add-function. I've studied the documentation, and I can't see what I'm
> doing wrong.
>
​
S
​orry, my diagnosis above is nonsense. The output is indeed being inserted
in the buffer; the problem is with the display of the buffer when
async-shell-command-display-buffer is set to nil. I will have another look.
​

-- 
https://rrt.sc3d.org <http://rrt.sc3d.org>